**** Demo 4 - Changing Style Templates***;

/****************************************************************************/
/*    Part A - Display the names of elements in a style                                     */
/****************************************************************************/

ods markup file='demo4a.html' type=style_popup stylesheet='demo4a.css' Style=default;
proc print data=sashelp.class;
run;
ods markup close;


/**************************************************************************/
/* Part B - Change the color of data cells                                         */
/*************************************************************************/
title; footnote;
ods _all_ close;
proc template;
     define style styles.test;
       parent=styles.default;
    		replace Data from Cell                                                    
        		 "Default style for data cells in columns." /                         
        		 foreground = yellow                                        
       			 background = orange
                 font_size=10;  
     end;
   run;


   ods rtf file='demo4b.rtf' style=styles.test;
   ods pdf file='demo4b.pdf' style=styles.test;  
   ods html file='demo4b.html' style=styles.test;   
   proc print data=sashelp.class; 
   run;
   ods _all_ close;
/**************************************************************************/
/* Part C - Change position of table of contents in HTML frame    */
/*  Possible values are T,B,L or R                                                     */
/*************************************************************************/
proc template;
     define style styles.toc;
     parent=styles.default;
       replace Frame from Document /
             contentposition = R
             bodyscrollbar = auto
             bodysize = *
             contentscrollbar = auto
             contentsize = 23%
             framespacing = 1
             frameborderwidth = 4
             frameborder = on;
     end;
   run;

ods html path='c:\data\learning labs\ods\output' style=styles.toc
               file='demo4c.html'
               frame='demo4cframe.html'
               contents='demo4ctoc.html';   
   proc print data=sashelp.class; 
   run;
   proc freq data=sashelp.class;
   tables age;
   run;
ods _all_ close;



  
