****  Demo 5 - Create a Table Template ***;
/****************************************************************************/
/*  Modify the PROC FREQ template as follows:                               */
/*   Change column headers to French                                                */
/*   Change format of percentage                                                         */
/*   Change order of variables                                                              */
/***************************************************************************/
ods _all_ close; ods listing;
proc template;                                                                
   define table Base.Freq.OneWayList;                                         
      notes "Parent for One-Way Frequency table and LIST table";              
      dynamic page needlines plabel varlabel lw varjust gluef gluep;  
* Change the order of the variables here; 
      column Line FVariable FListVariable Variable Frequency TestFrequency    
         CumFrequency Percent TestPercent  CumPercent;                         
      header h1;                                                              
      translate _val_=._ into "";                                             
      define h1;                                                              
         text varlabel;                                                       
         space = 1;                                                           
         split = "";                                                          
         spill_margin;                                                        
         highlight;                                                           
      end;                                                                    
      define Line;                                                            
         header = "Line";                                                     
         format_ndec = 0;                                                     
         format_width = lw;                                                   
         just = c;                                                            
         style = RowHeader;                                                   
         id;                                                                  
      end;                                                                    
      define FVariable;                                                       
         just = varjust;                                                      
         parent = Base.Freq.FVariable;                                        
      end;                                                                    
      define FListVariable;                                                   
         just = varjust;                                                      
         parent = Base.Freq.FVariable;                                        
         id = OFF;                                                            
      end;                                                                    
      define Variable;                                                        
         parent = Base.Freq.Variable;                                         
      end;                                                                    
      define Frequency;                                                       
         glue = gluef;                                                        
         parent = Base.Freq.Frequency;
		
         header="Frquence";            /* Change the column header here */
      end;                                                                    
      define TestFrequency;                                                   
         header = ";   Test  ;Frequency;";                                    
         glue = 4;                                                            
         parent = Base.Freq.Frequency;                                        
      end;                                                                    
      define Percent;                                                         
         glue = gluep;                                                        
         parent = Base.Freq.Percent; 
         header="Pourcentage"; 
         format=3.;                           /* Change the format here */ 
      end;                                                                    
      define TestPercent;                                                     
         header = ";   Test; Percent;";                                       
         glue = 3;                                                            
         parent = Base.Freq.Percent;                                          
      end;                                                                    
      define CumFrequency;                                                    
         header = ";Frquence; Cumulative;";                                  
         glue = 4;                                                            
         parent = Base.Freq.Frequency;                                        
      end;                                                                    
      define CumPercent;                                                      
         header = ";Pourcentage;  Cumulatif;";                                   
         parent = Base.Freq.Percent;                                          
      end;                                                                    
      required_space = needlines;                                             
      print_headers = plabel;                                                 
      newpage = page;                                                         
      underline;                                                              
      use_name;                                                               
   end;                                                                       
run;
ods listing;
*  Proc Freq will automatically use the new template;
proc freq data=sashelp.class;
run;
