/* Proc Document - Example 1
Create two  documents. 
Use Proc Document to list all documents*/
ods _all_ close; ods listing;  title; footnote;
options nodate nonumber;
ods document name=my_proc_contents_document;
 	  title 'This is my original title';
 	  proc contents data=sashelp.class;
      run;
	  proc contents data=sashelp.prdsale;
	  run;
ods document close;

ods document name=my_proc_print_document;
      proc print data=sashelp.class;
      run;
ods document close;
 


ods listing;
proc document;
* List the names of all documents;
     doc;
     run;
* Display the path for the CONTENTS document;
     doc name=my_proc_contents_document; 
     list/levels=all; 
	 run;

quit;



 /* Proc Document - Example 2
Replay a document  to all open destinations */
  ods pdf file= "demo6a.pdf";
  ods html file="demo6a.html";
  proc document name=My_proc_contents_document;  
        dir  \Contents#1\DataSet#1;
        replay variables;           /*replay part of document */
  run;
        replay \contents#1;         /* replay entire document */
  run;
      
  quit;
ods _all_ close;




/* Proc Document -  Example 3 

change the titles
add a before-notes and an after-notes to output objects
change the subtitles of output objects
add a page break to the output.
--------------------------------------------------------------------------------*/
 
ods listing;
ods html file='demo6b.html' style=d3d;
ods pdf file='demo6b.pdf' style=d3d;

 
proc document name=my_proc_contents_document;
     dir \Contents#1\DataSet#1;
     obtitle1 Attributes#1 'Change Title1 for Proc Contents with the OBTITLE Statement'; 
     obtitle2 Attributes#1 'Add Title2 for Proc Contents with the OBTITLE Statement'; 

     obstitle1 Attributes#1 'Subtitle1 Specified with the OBSTITLE Statement'; 
     obstitle2 Attributes#1 'Subtitle2 Specified with the OBSTITLE Statement'; 

     obbnote1 Enginehost#1 'Add Before Note1 using the OBBNOTE Statement'; 
	 obbnote2 Enginehost#1 'Add Before Note2 using the OBBNOTE Statement';
     obanote1 Enginehost#1 'After Note1 Specified by the OBANOTE Statement';
     obanote2 Enginehost#1 'After Note2 Specified by the OBANOTE Statement';

	 obtitle1 variables#1 'New title for Variables List';
	 obstitle1 variables#1 'New subtitle for Variables List';

	 obpage variables#1;  /* Insert page break before variables object */ 
      replay;
run;
quit;
ods _all_ close;

/* Document Window allows you to replay objects and documents.
Also lets you move objects from one document to another*/
 

 
 
 
 

 
